const int autotest(const unsigned char*a);
const size_t autostart(const char*a);
const size_t autosize(const char*a);
const size_t autoend(const char*a);

typedef
struct extratabelle {
	const char *type;
        const size_t (*size) (const char*);
        const size_t (*start)(const char*);
        const size_t (*end)  (const char*);
        const int    (*test) (const unsigned char*);
} extratab;

extern extratab extra[];
extern char tag1char;
extern char tag2char;
